<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    tools:background="#444">

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center">

        <RelativeLayout
            android:id="@+id/cl_layer"
            android:layout_width="@dimen/convert_580px"
            android:layout_height="@dimen/convert_500px"
            android:background="@drawable/bg_icon_page"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:paddingBottom="@dimen/convert_64px">

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/convert_49px"
                android:includeFontPadding="false"
                android:text="@string/share_with_more_people"
                android:textColor="#F30101"
                android:textSize="@dimen/convert_45px" />

            <TextView
                android:id="@+id/tv_subtitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tv_title"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/convert_48px"
                android:includeFontPadding="false"
                android:text="@string/scan_qr_code_with_camera"
                android:textColor="#6B6B6B"
                android:textSize="@dimen/convert_36px" />

            <ImageView
                android:id="@+id/iv_qr_code"
                android:layout_width="@dimen/convert_200px"
                android:layout_height="@dimen/convert_200px"
                android:layout_below="@+id/tv_subtitle"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/convert_50px"
                android:scaleType="fitCenter"
                tools:src="#aaa" />

            <ProgressBar
                android:id="@+id/loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tv_subtitle"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/convert_100px"
                android:indeterminateTint="#000" />

        </RelativeLayout>

        <ImageView
            android:id="@+id/iv_cancel"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_below="@+id/cl_layer"
            android:layout_centerHorizontal="true"
            android:src="@drawable/ic_cancel"
            android:padding="12dp"
            android:background="@drawable/bg_icon_cancel"
            android:layout_marginTop="-20dp"/>

    </RelativeLayout>

</FrameLayout>